package com.example.javafx;

import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;

public class StudentModel {
    private SimpleIntegerProperty studentId;
    private SimpleStringProperty firstName;
    private SimpleIntegerProperty studentAge;

    public StudentModel(Integer studentId, String firstName, Integer studentAge) {
        this.studentId = new SimpleIntegerProperty(studentId);
        this.firstName = new SimpleStringProperty(firstName);
        this.studentAge = new SimpleIntegerProperty(studentAge);
    }

    public int getStudentId() {
        return studentId.get();
    }

    public SimpleIntegerProperty studentIdProperty() {
        return studentId;
    }

    public void setStudentId(int studentId) {
        this.studentId.set(studentId);
    }

    public String getFirstName() {
        return firstName.get();
    }

    public SimpleStringProperty firstNameProperty() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName.set(firstName);
    }

    public int getLastName() {
        return studentAge.get();
    }

    public SimpleIntegerProperty lastNameProperty() {
        return studentAge;
    }

    public void setLastName(int lastName) {
        this.studentAge.set(lastName);
    }
}

