package com.example.javafx;

import javafx.application.Application;
import javafx.application.Platform;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextField;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

import java.io.IOException;

public class HelloApplication /*extends Application*/ {
    /*@Override*/
    public void start(Stage stage) throws IOException {
        // Opción 1
        /*
        Label label = new Label("Pon tu nombre");
        TextField textField = new TextField();
        Button sayHelloBtn = new Button("Di hola");
        Button exitBtn = new Button("Salir");

        Label message = new Label();
        message.setStyle("-ft-text-fill: #e825e6");
        sayHelloBtn.setOnAction(event -> {
            String name = textField.getText();
            if (name.trim().length()>0) {
                message.setText("Hola "+name);
            } else {
                message.setText("Hola !!");
            }
        });
        exitBtn.setOnAction(e -> Platform.exit());

        VBox root = new VBox();
        root.setSpacing(5);
        root.getChildren().addAll(label, textField, sayHelloBtn, exitBtn, message);

        Scene scene = new Scene(root, 400, 400);
        stage.setScene(scene);
        stage.setTitle("Mi Aplicación");
        stage.show();

         */

        //Opción 2,
        FXMLLoader fxmlLoader = new FXMLLoader(HelloApplication.class.getResource("student-list.fxml"));

        Scene scene = new Scene(fxmlLoader.load(), 400, 400);
        stage.setTitle("Hello!");
        stage.setScene(scene);
        stage.show();
    }
/*
    @Override
    public void init() throws Exception {
        System.out.println("init() method: "+ Thread.currentThread().getName());
    }

    @Override
    public void stop() throws Exception {
        System.out.println("stop() method: "+ Thread.currentThread().getName());
    }

    public static void main(String[] args) {
        launch();
    }*/
}